<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="DOCUMENTOS";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=DOCUMENTOS';";
echo "</script>";
}

include "../parametros.php";
include "../conexion.php";
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html><head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
	<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">
  

 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>

<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>
</head>

<BODY onLoad="parametros.nombre.focus();">
<?php
 
date_default_timezone_set('America/Bogota');
$fecsis=date("Y-m-d");
$horasis=date("H:i:s");

include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";$precio="";$marca="";$iva="";$codigobarra="";
$marca="";$linea="";$grupo="";

$sql_datos =mysqli_query($conexion,"select valorvale FROM empresa");
while($datos= mysqli_fetch_row($sql_datos)) {    $valorvale=$datos[0];}

$rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where estado='A'
					  union 
					  select 0,' ' from marca	
 					  order by nombre asc");					  

$rs_linea=mysqli_query($conexion,"SELECT id,nombre FROM linea where estado='A'
					  union 
					  select 0,' ' from linea	
 					  order by nombre asc");					  

$rs_unidad=mysqli_query($conexion,"SELECT id,nombre FROM unidad where estado='A'
					  union 
					  select 0,' ' from unidad	
 					  order by nombre asc");

$rs_ccs=mysqli_query($conexion,"SELECT id,nombre FROM ccs
                                union select 0,'' from ccs
									order by nombre asc");
									
$vale=$_REQUEST["vale"];
$empresa=$_REQUEST["empresa"];
$permiso=$_REQUEST["p"];
$sql_datos =mysqli_query($conexion,"select estado FROM vale	where vale='".$vale."' and empresa='".$empresa."'");
while($datos= mysqli_fetch_row($sql_datos))
 { 
   $estadodes=$datos[0];
 }
					  
if(isset($_REQUEST["oculto"]))
{ 
       	$id=$_REQUEST["id"];   		
		$nombre=$_REQUEST["nombre"];  	
		//$descripcion=$_REQUEST["descripcion"];


if($_REQUEST["ocancela"]==1)
{
	$id="";$nombre="";$estado="";$descripcion="";
	$preciounitario="";$precio="";$productofamilia="";$marca="";$iva="";$codigobarra="";
	$paqueteunidad="";$cantidadpaquete="";$preciopaquete="";$productofamilia="";$marca=0;$ubicacion="";
	$linea=0;$grupo=0;
}


if($_REQUEST["oguardar"]==1)
  {  $error=0;$pasoinsert=0;
	  
    	$pasamod=0;
echo $estadodes;
		if($permiso==2 && $estadodes=='72'){$pasamod=1;}
		//if($permiso==1 && $estadodes=='45'){$pasamod=1;}
		
		if($pasamod==1)
		   {  	
				$c=1; $entro=0;  $canti=$_REQUEST['cantir'];$errorres=0;
				while($c<=$canti)
				{  
					if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
					$idp=$_REQUEST['id'.$c];
					$cantidad=$_REQUEST['cantidad'.$c];
					$ccs=$_REQUEST['ccs'.$c];
					$valorunitario=$_REQUEST['valorunitario'.$c];
					$valorunitario=str_replace('.','',$valorunitario);
					
					if($val==1)
					  { 
						  if($cantidad>=1 && $ccs<>"")
						  {
								if($cantidad>0)
								{
									
									$sql_datosrs=mysqli_query($conexion,"SELECT nombre,descripcion,precio,marca,iva,unidad
    																	from producto where id='".$idp."'");
    								while($datos= mysqli_fetch_row($sql_datosrs))
    								{
    									$nombrep=$datos[0];
    									$descripcionp=$datos[1];
    									$preciop=$datos[2];
    									$marcap=$datos[3];
    									$ivap=$datos[4];
    									$unidadp=$datos[5];
    								
    									$rs_unidad=mysqli_query($conexion,"SELECT id,nombre FROM unidad where id='".$unidadp."'");
    									 while($datosrs= mysqli_fetch_row($rs_unidad)){ $unm=$datosrs[1];}
    								}
									
									$sumat=0;
									$sql_datos=mysqli_query($conexion,"select cantidad,valorunitario FROM vale_items
																		where vale='".$vale."'
																		and empresa='".$empresa."'");
									while($datoslog= mysqli_fetch_row($sql_datos))//01
									{
										$cantidadrs=$datoslog[0];
										$valorunitariors=$datoslog[1];
										$vrtotal=$cantidadrs*$valorunitariors;
										$sumat=$sumat+$vrtotal;
									}
									$valortotal=$valorunitario*$cantidad;
									$sumat=$sumat+$valortotal;
								
								  if($sumat>$valorvale){$errorres=1;}
								  else
								   {
									 $sql_insert=mysqli_query($conexion,"insert into vale_items 
													(vale,empresa,item,descripcion,unm,cantidad,valorunitario,valortotal,iva,
													 fecsis,horasis,usuario,ccs)
													  values('".$vale."','".$empresa."','".$idp."',
															 '".$nombrep."','".$unm."',
															 '".$cantidad."','".$valorunitario."','".$valortotal."','".$ivap."',
															 '".$fecsis."','".$horasis."','".$vg_login."','".$ccs."')"); 
									  if($sql_insert){$pasoinsert=1;}
								   }
								   
								}
						  }
						  else
						  {$error=1;}
					  }
					$c=$c+1;
		        }//fin cliclo	  

		}
	  else
		   {
			 $mensaje="No se puede agregar el vale tiene estado diferente a creado";
				?>				  
				<script>
				cuteToast({
					  type: "error", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 4000
					})
				</script>
				<?php
			} 
			
	  if($error==1)		
	    {
			$mensaje="Debe Digitar la cantidad, el valor unitario y el Centro Costo";
				?>				  
				<script>
				cuteToast({
					  type: "success", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 4000
					})
				</script>
				<?php
		}
		
		if($errorres==1)		
	    {
			$mensaje="Los valores superan el aprobado para los vales, verifique por favor";
				?>				  
				<script>
				cuteToast({
					  type: "error", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 4000
					})
				</script>
				<?php
		}
		
		 if($pasoinsert==1)		
	    {
			$mensaje="Se Registraron los Items";
				?>				  
				<script>
				cuteToast({
					  type: "success", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 4000
					})
				</script>
				<?php
			
		}
  }//fin guardar



}


?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:100%;">
    <div class="panel panel-default">
      <div class="panel-heading">BUSCAR PRODUCTO</div>
      <div align="center">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td height="0"> <div align="center">Codigo                         </div></td>
                      <td width="177" height="0"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" 
                       class="form-control" data-placement="right"  style="width: 150px" 
								onKeyPress="if(event.keyCode==13){Obuscar.value=1;nombre.focus();} if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								 autocomplete="off"></td>
                      <td width="81" height="0">&nbsp;</td>
                      <td width="5" height="0">&nbsp;</td>
                      <td width="233" height="0"><div align="center">Nombre </div></td>
                      <td width="878" height="0" colspan="4"><input name="nombre" type="text"   id="nombre" value="<?php echo $nombre; ?>" 
                       class="form-control" data-placement="right"  style="width: 100%" 
								onKeyPress="if(event.keyCode==13){Obuscarn.value=1;Obuscarcb.value=0;Obuscar.value=0;id.value='';buscarn.focus();} "
								 autocomplete="off"></td>
                    </tr>
                    
                    <tr> 
                      <td height="1" colspan="9"><div align="center">
                        <input name="buscarn" type="submit" id="buscarn" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscarn.value=1;" >
                        <input name='rep' type='button'  id='rep' value='Crear Items'   class="btn btn-primary" title="Clic para ver Items"
						  onclick="javascript:window.open('../producto/frm_producto.php?Obuscarn=0&id=','CReaPro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=1000,height=600');" style="width:120px"  />
                        <input name='rep2' type='button'  id='rep2' value='Cerrar y Ver Items'   class="btn btn-primary" title="Cerrar"
						  onclick="window.opener.parametros.submit();window.close();"  />
<input name="Obuscarn" type="hidden" id="Obuscarn">
                        <input name="obuscadato" type="hidden" id="obuscadato">
                        <input name="ogrupo" type="hidden" id="ogrupo">
                        <input name="ocancela" type="hidden" id="ocancela">
                        <input name="oculto" type="hidden" id="oculto">
                        <input name="oguardar" type="hidden" id="oguardar">
                        
                      </div></td>
                    </tr>                    
                  </table>
      </div>
</div>
</div>                  
  

<?php

if($_REQUEST["Obuscarn"]==1)
 {
	if($nombre<>"")
	{
		
		$nombre=str_replace('*','%',$nombre);
		//$descripcion=str_replace('*','%',$descripcion);
		
		if($nombre<>""){$sqlnombre=" and nombre like '%".$nombre."%'";}else{$sqlnombre="";}
		if($descripcion<>""){$sqldescripcion=" and descripcion like '%".$descripcion."%'";}else{$sqldescripcion="";}
		if($id<>""){$sqlid=" and id='".$id."'";}else{$sqlid="";}
				
		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto
									where estado='A' 
									$sqlnombre									
									$sqlid");
		  while($datos= mysqli_fetch_row($sql_datosrs)){ $contar=$datos[0];}
		  if($contar>=1)
		  {
			  echo "<center> <table width='100%' border='1' cellpadding='0' cellspacing='0' class='table hover multiple-select-row nowrap' bordercolor='#CCCCCC'>";
			?>
							<thead>
									<tr>
										<th align="center" class="btn-primary">Codigo</th>
										<th align="center" class="btn-primary">Cantidad</th>
                                        <th align="center" class="btn-primary">Valor Unitario</th>
										<th align="center" class="btn-primary">CCS</th>
										<th align="center" class="btn-primary">Nombre</th>
										<th align="center" class="btn-primary">Linea</th>
										<th align="center" class="btn-primary">Grupo</th>
										<th align="center" class="btn-primary">Marca</th>
										<th align="center" class="btn-primary">Estado</th>
									</tr>
								</thead>
								<tbody>
			<?php															
			  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,precio,marca,iva,estado,linea,grupo from producto
										where estado='A' 
										$sqlnombre
										$sqlid										
										order by nombre asc");
				$c=1;
				 while($datos= mysqli_fetch_row($sql_datosrs))//04
					{
						 $id=$datos[0];
						 $nombre=$datos[1];
						 $descripcion=$datos[2];
						 $precio=$datos[3];
						 $marca=$datos[4];
						 $iva=$datos[5];
						 $estado=$datos[6];
						 $linea=$datos[7];
						 $grupo=$datos[8];
						 $nmarca="";
						 
						 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
						 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}

						 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea_grupo where id='".$grupo."'");
						 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}

						 
						 $rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where id='".$marca."'");
						 while($datosrs= mysqli_fetch_row($rs_marca)){ $nmarca=$datosrs[1];}
						 
						 $rs_ccs=mysqli_query($conexion,"SELECT id,nombre FROM ccs
                                union select 0,'' from ccs
									order by nombre asc");
						 
						  echo "<tr>
							  <td align='center'>
								<input name='id$c' type='hidden' id='id$c'  value='$id'>
								<input name='precio$c' type='hidden' id='precio$c'  value='$precio'>
								<input type='checkbox' name='ch$c'>
								<input name='buscarn' type='submit' id='buscarn' value='+' title='Agregar'  class='btn btn-primary' onClick='window.opener.parametros.submit();oguardar.value=1;Obuscarn.value=1;' >
								$id
							 </td>																				
							  <td>";
							  ?>
							  <input name="cantidad<?php echo $c; ?>" type="text"   id="cantidad<?php echo $c; ?>" value="" 
								class="form-control"  style="width: 100%;"
                                onkeyup="format(this)" onchange="format(this)" onfocus="format(this)"  
                         		  onkeypress="return valida(event);" autocomplete='off'>
							  <?php
                              echo "</td>
							   <td>";
							  ?>
							  <input name="valorunitario<?php echo $c; ?>" type="text"   id="valorunitario<?php echo $c; ?>" value="" 
								class="form-control"  style="width: 100%;"
                                onkeyup="format(this)" onchange="format(this)" onfocus="format(this)"  
                         		  onkeypress="return valida(event);" autocomplete='off'>
							  <?php
                              echo "</td>
							   <td width='20%'>";
							  ?>
							   <select name="ccs<?php echo $c; ?>" id="ccs<?php echo $c; ?>"  class="form-control"  style="width: 100%" >
                                <?php while ($rowba=mysqli_fetch_array($rs_ccs))
    									{
    									 if ($ccs==$rowba['id'])
    										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
    									 else
    										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
    									}
    							 ?>
                              </select>
							  <?php
                              echo "</td>							 
							  <td>$nombre <br><font size='1'>[ $descripcion ]</font></td>							 
							  <td>$nlinea</td>
							  <td>$ngrupo</td>
							  <td>$nmarca</td>
							  <td>$estado</td>		
							</tr>";
							$c++;
					} 
					 echo "</table></center>";
					 $canti=$c-1;
 					echo "<input type='hidden' name='cantir' value='$canti' readonly size='10'>";
		   } 
	}
  else
    {
       $mensaje="Debe de digitar el nombre del producto a buscar";
				?>				  
				<script>
				cuteToast({
					  type: "error", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 4000
					})
				</script>
				<?php 
        
    }	
 mysqli_close($conexion);
 }
?>  

<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>  

 <div id='resultado'></div>
</form>

</body>


<!-- js -->
<script src="../vendors/scripts/core.js"></script>
	<script src="../vendors/scripts/script.min.js"></script>
	<script src="../vendors/scripts/process.js"></script>
	<script src="../vendors/scripts/layout-settings.js"></script>
	<script src="../src/plugins/datatables/js/jquery.dataTables.min.js"></script>
	<script src="../src/plugins/datatables/js/dataTables.bootstrap4.min.js"></script>
	<script src="../src/plugins/datatables/js/dataTables.responsive.min.js"></script>
	<script src="../src/plugins/datatables/js/responsive.bootstrap4.min.js"></script>
	<!-- buttons for Export datatable -->
	<script src="../src/plugins/datatables/js/dataTables.buttons.min.js"></script>
	<script src="../src/plugins/datatables/js/buttons.bootstrap4.min.js"></script>
	<script src="../src/plugins/datatables/js/buttons.print.min.js"></script>
	<script src="../src/plugins/datatables/js/buttons.html5.min.js"></script>
	<script src="../src/plugins/datatables/js/buttons.flash.min.js"></script>
	<script src="../src/plugins/datatables/js/pdfmake.min.js"></script>
	<script src="../src/plugins/datatables/js/vfs_fonts.js"></script>
	<!-- Datatable Setting js -->
	<script src="../vendors/scripts/datatable-setting.js"></script></body>

</html>
